import { ArgumentParserTree as ArgParseTree } from '../index';

describe('argparse-tree', () => {
	const apRoot = new ArgParseTree( { options: { debug: true, addHelp: true, description: 'argparse-tree example', version: '1.0.0' }, defaults: { debug: true, addHelp: true } } );
	{
		const apNode = apRoot.get('a').get('b').get('c');
	}
	{
		const apNode = apRoot.get('a').get('b').get('d');
	}

	beforeAll(() => {
	});

	afterAll(() => {
	});

	beforeEach(() => {
	});

	afterEach(() => {
	});

	test('Correct command should work', () => {
		const options = apRoot.parser.parseArgs(['a', 'b', 'c']);
		expect(options['subparser_0']).toBe('a');
		expect(options['subparser_1']).toBe('b');
		expect(options['subparser_2']).toBe('c');
	});

	test('Invald command should fail', () => {
		expect(()=>{
			const options = apRoot.parser.parseArgs(['a', 'b', 'XXX']);
		}).toThrow();
	});

});
